-- MySQL dump 10.11
--
-- Host: localhost    Database: opmon
-- ------------------------------------------------------
-- Server version	5.0.45
CREATE DATABASE IF NOT EXISTS `opmon4`;
USE `opmon4`;

CREATE TABLE `eventguard_rules` (                                                                                                                                                                                                   
  `id` int(10) NOT NULL auto_increment,
  `rule` longblob NOT NULL,
  `epl` longblob NOT NULL,
  `acl` int NOT NULL default 0,
  `allmayview` int NOT NULL default 0,
  `active` int NOT NULL default 0,
  `description` text,
  `name` varchar(255) NOT NULL,
  `service` varchar(255),
  `host` varchar(255),
  `username` varchar(255), 
  `action_status` varchar(255),
  `action_message` varchar(255),
  `last_revision` datetime,
  `revision` int(10) NOT NULL default 0,
  `width` int,
  `height` int, 
  `service_id` varchar(255),
  `host_id` varchar(255), 
  PRIMARY KEY (id),
  INDEX(name(128)),
  INDEX(host_id),
  INDEX(service_id)
) DEFAULT CHARSET=utf8;

